Skip to content
Docs

HELOC Inquiries/Exceptions

Submit an SSN

PUT/products/heloc/v1/inquiry/{appUuid}/add-ssn
Request
curl -X PUT \
  "https://api.test.figure.com/products/heloc/v1/inquiry/{appUuid}/add-ssn" \
  -H "apikey: $FIGURE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "encrypted": "<JWE of the decrypted request body>"
}'

Template: replace the placeholder with your encrypted payload. See Encrypt a payload.

Path parameters

  • appUuidstringRequired

Request body

application/json

Send this body encrypted as a JWE: { "encrypted": "<JWE>" }. The fields below describe the payload before encryption. Can't encrypt client-side? Use the Encryption API.

  • requestobjectRequired
    ShowHide 2 attributes of request
    • loanOriginatorUuidstringRequired
    • asyncbooleanRequiredDeprecated

      Will be removed from all requests in a future release. This is no longer an option on some requests. Async will be the only option.

  • applicantobjectRequired
    ShowHide 1 attribute of applicant
    • ssnstringRequired
      Pattern^(([0-9]{9})|([0-9]{3}-[0-9]{2}-[0-9]{4}))$

Responses

200OKobject
  • messagesarray of objects
    ShowHide 2 attributes of messages
    • levelstringRequired
    • messagestringRequired
Response
{
  "messages": [
    {
      "level": "string",
      "message": "string"
    }
  ]
}